| TagLib 1.13 |  |

Public Member Functions | Friends | List of all members
TagLib::Mod::Properties Class Reference

`#include <modproperties.h>`

Inheritance diagram for TagLib::Mod::Properties:
[legend]
Collaboration diagram for TagLib::Mod::Properties:
[legend]

## Public Member Functions
| Properties (AudioProperties::ReadStyle propertiesStyle)
virtual | ~Properties ()
int | length () const
int | lengthInSeconds () const
int | lengthInMilliseconds () const
int | bitrate () const
int | sampleRate () const
int | channels () const
unsigned int | instrumentCount () const
unsigned char | lengthInPatterns () const
void | setChannels (int channels)
void | setInstrumentCount (unsigned int sampleCount)
void | setLengthInPatterns (unsigned char lengthInPatterns)
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
virtual int | length () const =0
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const =0
virtual int | sampleRate () const =0
virtual int | channels () const =0

## Friends
class | File

## Additional Inherited Members
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Constructor & Destructor Documentation

## ◆ Properties()

TagLib::Mod::Properties::Properties | ( | AudioProperties::ReadStyle | propertiesStyle | ) |

## ◆ ~Properties()

virtual TagLib::Mod::Properties::~Properties | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ bitrate()

int TagLib::Mod::Properties::bitrate | ( |  | ) | const
| virtual

Returns the most appropriate bit rate for the file in kb/s. For constant bitrate formats this is simply the bitrate of the file. For variable bitrate formats this is either the average or nominal bitrate.

Implements TagLib::AudioProperties.

## ◆ channels()

int TagLib::Mod::Properties::channels | ( |  | ) | const
| virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## ◆ instrumentCount()

unsigned int TagLib::Mod::Properties::instrumentCount | ( |  | ) | const

## ◆ length()

int TagLib::Mod::Properties::length | ( |  | ) | const
| virtual

Returns the length of the file in seconds.

Implements TagLib::AudioProperties.

## ◆ lengthInMilliseconds()

int TagLib::Mod::Properties::lengthInMilliseconds | ( |  | ) | const

## ◆ lengthInPatterns()

unsigned char TagLib::Mod::Properties::lengthInPatterns | ( |  | ) | const

## ◆ lengthInSeconds()

int TagLib::Mod::Properties::lengthInSeconds | ( |  | ) | const

## ◆ sampleRate()

int TagLib::Mod::Properties::sampleRate | ( |  | ) | const
| virtual

Returns the sample rate in Hz.

Implements TagLib::AudioProperties.

## ◆ setChannels()

void TagLib::Mod::Properties::setChannels | ( | int | channels | ) |

## ◆ setInstrumentCount()

void TagLib::Mod::Properties::setInstrumentCount | ( | unsigned int | sampleCount | ) |

## ◆ setLengthInPatterns()

void TagLib::Mod::Properties::setLengthInPatterns | ( | unsigned char | lengthInPatterns | ) |

## Friends And Related Function Documentation

## ◆ File

friend class File
| friend

The documentation for this class was generated from the following file:

- modproperties.h